Subject: bug#54175: 27.2; Info-follow-reference completions in reverse order

From: Howard Melman <[email-masked]>
Date: Sun, 27 Feb 2022 11:59:35 -0500

On Feb 27, 2022, at 11:49 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Howard Melman <[email-masked]>
>> Date: Sun, 27 Feb 2022 10:43:49 -0500
>> 
>> 2. It's not unreasonable to expect a completion table to be in a meaningful 
>> order when there is one.
> 
> But what is a meaningful order in this particular case, why is it
> more meaningful than the current order?

I believe I explained this.  It is the order they are found in the node. It means 
the offered candidates appear to me in the order I see them in the node.  I think
it was probably more meaningful in the other bug (#38614) as that affected the
order of menu items which are closer together, but this is similar.

And as I explained (and you elided), it provides a meaning interactive experience:

> And I explained my use case which for a user means fewer keystrokes

> in a common case (visit the first reference without having to navigate

> to it or type it's name) which seems far more meaningful than a 

> negligible cost in other cases.

Howard